import config from '@/config-v01' // eslint-disable-line no-unused-vars

import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
// #if process.env.NODE_ENV !== 'test'
// import { createProvider } from './vue-apollo' // eslint-disable-line no-unused-vars
import { createProviderForWPO } from './vue-apollo-wpo' // eslint-disable-line no-unused-vars
// #endif

import VeeValidate from 'vee-validate'

// import Components from '@/components'
import FComponents from '@/fcomponents/standard/v2.0.1/'

import FontFaceObserver from 'fontfaceobserver'

import vuetify from './plugins/vuetify'

Vue.use(VeeValidate, { inject: false })

// Vue.use(Components)
Vue.use(FComponents)

Vue.config.productionTip = false

console.log('process.env.NODE_ENV : ', process.env.NODE_ENV)

const startApp = async () => {
  let regularFont = new FontFaceObserver('D2 coding')
  let boldFont = new FontFaceObserver('D2 coding', { weight: 'bold' })

  await regularFont.load()
  await boldFont.load()
  console.log('finished font loading')

  new Vue({
    router,
    store,
    // #if process.env.NODE_ENV !== 'test'
    // apolloProvider: createProvider(),
    apolloProviderForWPO: createProviderForWPO(),
    vuetify,
    // #endif
    render: h => h(App)
  }).$mount('#app')
}

startApp()
