import Vue from 'vue'
import Vuex from 'vuex'

import createPersistedState from 'vuex-persistedstate'
// import sharedMutations from 'vuex-shared-mutations'

import modules from './modules'

Vue.use(Vuex)

export default new Vuex.Store({
  plugins: [
    createPersistedState({
      key: 'vuex-local',
      paths: [
        'json-single-json.lastWpoID'
      ]
    }),
    createPersistedState({
      key: 'vuex-session',
      storage: window.sessionStorage,
      paths: [
        'json-single-json.wpoID'
      ]
    })
    // sharedMutations({
    //   predicate: ['wpos/syncCount']
    // })
  ],
  modules,
  // strict: process.env.NODE_ENV !== 'production'
  strict: false
})
